# mdtraj.load_netcdf

mdtraj.load_netcdf(filename, top=None, stride=None, atom_indices=None, frame=None)

  Load an AMBER NetCDF file. Since the NetCDF format doesn’t contain information to specify the topology, you need to supply a topology

  Parameters:

    - filename (path-like) – filename of AMBER NetCDF file.

    - top ({str, Trajectory, Topology}) – The NetCDF format does not contain topology information. Pass in either the path to a pdb file, a trajectory, or a topology to supply this information.

    - stride (int, default=None) – Only read every stride-th frame

    - atom_indices (array_like, optional) – If not None, then read only a subset of the atoms coordinates from the file. This may be slightly slower than the standard read because it requires an extra copy, but will save memory.

    - frame (int, optional) – Use this option to load only a single frame from a trajectory on disk. If frame is None, the default, the entire trajectory will be loaded. If supplied, `stride` will be ignored.

  Returns:

    trajectory – The resulting trajectory, as an md.Trajectory object.

  Return type:

    md.Trajectory

  See also

  `mdtraj.NetCDFTrajectoryFile`

    Low level interface to NetCDF files